Rated 5 out of 5 stars

I continue to get an error after upgrading to Firefox 14.0. [JavaScript Application] Oops! This version of FireShot is not supported by this updated browser. Would you like to navigate to the update webpage? (OK or Cancel). I click OK and then download and install the add-on then restart my browser. After that I try again and get the same message. This worked great before the Firefox update so not sure what broke.

This review is for a previous version of the add-on (0.98.11). 

Thanks for pointing at it and your positive review. I've just fixed it and everything should be fine.